---
search:
  tags:
    - V1
    - PATCH
seo:
  description: >-
    Update Supabase test_runs status for a v1 test run. Reference for the PATCH
    /v1/projects/{projectId}/test-runs/{testRunId}/status endpoint in the
    Judgeval API.
sidebar:
  label: Update test run status
  badge: PATCH
title: Update test run status
type: openapi-operation
---
Update Supabase test_runs status for a v1 test run.

`PATCH /v1/projects/{projectId}/test-runs/{testRunId}/status`

**Request body** (`application/json`, required)

- `status` (string, required)
- `error_message` (string | null)

Request body example:

```json
{
  "status": "pending",
  "error_message": "string"
}
```

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "test_run": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "user_id": "string",
    "test_config_id": "string",
    "dataset_id": "string",
    "dataset_version_id": "string",
    "source": "sdk",
    "status": "pending",
    "name": "string",
    "error_message": "string",
    "created_at": "string",
    "updated_at": "string",
    "started_at": "string",
    "completed_at": "string"
  },
  "ui_results_url": "string"
}
```
